## uif 1.0.5

=== Makefile ===
# uif-1.0 Installer Makefile
# 
# Cajus Pollmeier <pollmeier@gonicus.de>
# Jrg Platte     <joerg.platte@gmx.de>

# Change here to install to different location
PREFIX = ${DESTDIR}
VERS = `sed -n "s/[^ ]* (\([0-9.]*\)-[0-9]*).*/\1/p" debian/changelog | head -1`

install:
	@echo "Installing uif script..."

	@# create directories
	install -o root -g root -m 700 -d ${PREFIX}/etc/uif
	install -o root -g root -m 755 -d ${PREFIX}/etc/default
	install -o root -g root -m 755 -d ${PREFIX}/etc/init.d
	install -o root -g root -m 755 -d ${PREFIX}/etc/ldap/schema
	install -o root -g root -m 755 -d ${PREFIX}/usr/sbin
	install -o root -g root -m 755 -d ${PREFIX}/usr/share/doc/uif
	install -o root -g root -m 755 -d ${PREFIX}/usr/share/man/man8
	install -o root -g root -m 755 -d ${PREFIX}/usr/share/man/man5
	
	@# install files
	install -o root -g root -m 700 uif.pl ${PREFIX}/usr/sbin/uif
	install -o root -g root -m 600 default ${PREFIX}/etc/default/uif
	install -o root -g root -m 600 services ${PREFIX}/etc/uif
	install -o root -g root -m 755 uif ${PREFIX}/etc/init.d
	install -o root -g root -m 644 uif.schema ${PREFIX}/etc/ldap/schema

	@# install documentation
	install -o root -g root -m 644 docs/uif.conf.tmpl ${PREFIX}/usr/share/doc/uif
	install -o root -g root -m 644 docs/examples.txt ${PREFIX}/usr/share/doc/uif
	install -o root -g root -m 644 uif.8 ${PREFIX}/usr/share/man/man8
	install -o root -g root -m 644 uif.conf.5 ${PREFIX}/usr/share/man/man5

deb:
	@echo "Generating debian package..."
	[ -d /tmp/uif-${VERS} ] && rm -rf /tmp/uif-${VERS} || /bin/true
	cp -a ../uif /tmp/uif-${VERS}
	cd /tmp/uif-${VERS} && fakeroot make -f debian/rules binary
	rm -rf /tmp/uif-${VERS}

## uif 1.0.6-1

=== debian/changelog ===
uif (1.0.6-1) unstable; urgency=low

  * New upstream version.
  * Fix incompatibility with new conntrack modules.
  * Fix pending l10n issues. Debconf translations:
    - Danish. Closes: #590000
  * Fix rate limiting issue. Closes: #514993
  * Made alias interfaces valid interfaces. Closes: #496751

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 25 Jul 2011 17:28:09 +0200

uif (1.0.5-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Bump debhelper compatibility to 7
  * As a consequence, replace obsoleted "dh_clean -k" calls by "dh_prep"
  * Explicitly use 1.0 as source format
  * Fix spelling error ("informations") in README.Debian
  * Drop useless debian/templates.de file
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Francisco Javier Cuadrado).  Closes: #513352

 -- Christian Perrier <bubulle@debian.org>  Tue, 04 May 2010 07:35:54 +0200

uif (1.0.5-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #492183
    - Italian. Closes: #503763
  * Remove stray debconf translation debian/templates.de. Superseded by
    the regular translation debian/po/de.po for ages.

 -- Christian Perrier <bubulle@debian.org>  Thu, 30 Oct 2008 07:35:35 +0100

uif (1.0.5-4.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Add debconf-updatepo to the clean target. Closes: #469254
  * Remove useless debian/templates.de file
  * Fix typos in debconf templates. Closes: #323959
  * Remove extra spaces in debconf templates in various places
  * Remove overzealous exclamation mark in debconf templates
  * Turn one note into error
  * Debconf translations:
    - Portuguese. Closes: #414056
    - French. Closes: #471541
    - German
    - Finnish. Closes: #478669
  * Basque. Closes: #479450
  * Portuguese. Closes: #479627
  * Czech. Closes: #479630
  * Vietnamese. Closes: #479746
  * Galician. Closes: #479834
  * Russian. Closes: #480252
  * [Lintian] Move po-debconf and debhelper to Build-Depends as they're
    used in the clean target
  * [Lintian] Set debhelper compatibility level in debian/compat, not
    debian/rules

 -- Christian Perrier <bubulle@debian.org>  Sat, 19 Apr 2008 20:08:36 +0200

uif (1.0.5-4) unstable; urgency=low

  * Added LSB formatted dependency info (Closes:#469112)

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 03 Mar 2008 08:57:11 +0100

uif (1.0.5-3.1) unstable; urgency=low

  * Non-maintainer upload to fix the pending l10n issues.
  * Debconf translations:
    - German corrected. Closes: #313873
    - Vietnamese. Closes: #323958

 -- Christian Perrier <bubulle@debian.org>  Thu,  8 Feb 2007 18:28:36 +0100

uif (1.0.5-3) unstable; urgency=low

  * Adjusted command line parameter for tail (Closes:#301414) 

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 15 Apr 2005 16:01:09 +0200

uif (1.0.5-2) unstable; urgency=low

  * Added Czech debconf translation contributed by Miroslav Kure
    (Closes:#287541)

 -- Cajus Pollmeier <cajus@debian.org>  Sun,  2 Jan 2005 10:27:28 +0100

uif (1.0.5-1) unstable; urgency=low

  * New upstream release (Closes:#262363)

 -- Cajus Pollmeier <cajus@debian.org>  Sat, 31 Jul 2004 09:28:11 +0200

uif (1.0.4-10) unstable; urgency=low

  * Added catalan debconf translation (Closes:#248756)

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 14 May 2004 11:43:59 +0200

uif (1.0.4-9) unstable; urgency=low

  * Made init script return an error code if setting the rules failes
  * Do not try to simplify a group of networks when definitions
    contain mac addresses

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 23 Apr 2004 18:20:27 +0200

uif (1.0.4-8) unstable; urgency=low

  * Fixed regex in uif which had problems to parse new /etc/protocols

 -- Cajus Pollmeier <cajus@debian.org>  Thu, 19 Feb 2004 07:12:48 +0100

uif (1.0.4-7) unstable; urgency=low

  * Added conflicts to other firewalls (Closes: #223359)
  * Updated contributed configuration

 -- Cajus Pollmeier <cajus@debian.org>  Sat, 13 Dec 2003 20:42:09 +0100

uif (1.0.4-6) unstable; urgency=low

  * Included french translation done by Michel Grentzinger
    (Closes: #200673)

 -- Cajus Pollmeier <cajus@debian.org>  Thu, 10 Jul 2003 07:30:12 +0200

uif (1.0.4-5) unstable; urgency=low

  * Converted debconf dialogs to support the new gettext aware
    translations. (Closes: #199834)
  * Fixed two little translation bugs for the german i18n

 -- Cajus Pollmeier <cajus@debian.org>  Thu,  3 Jul 2003 20:18:27 +0200

uif (1.0.4-4) unstable; urgency=low

  * Fixed problem when specifying multiple portranges
  * Added extra checks just in case the kernel has no module support
  * Updated standards-version

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 30 Dec 2002 14:16:52 +0100

uif (1.0.4-3) unstable; urgency=low

  * Initial Debian release (Closes: #170565) 

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 25 Nov 2002 16:59:16 +0100

uif (1.0.4-2) unstable; urgency=low

  * removed debugging output

 -- Joerg Platte <jplatte@jako.ping.de>  Tue,  8 Oct 2002 08:34:00 +0200

uif (1.0.4-1) unstable; urgency=low

  * new upstream release fixes mark problems

 -- Joerg Platte <jplatte@jako.ping.de>  Wed, 14 Aug 2002 11:15:00 +0200

uif (1.0.3-1) unstable; urgency=low

  * new upstream release

 -- Cajus Pollmeier <pollmeier@gonicus.de>  Thu, 18 Jul 2002 22:37:38 +0200

uif (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Added mark support
  * Added dhis service
  * cosmetical changes

 -- Joerg Platte <jplatte@jako.ping.de>  Thu, 18 Jul 2002 20:39:58 +0200

uif (1.0.1-5) unstable; urgency=low

  * fixed init script

 -- Cajus Pollmeier <c.pollmeier@gmx.net>  Sun, 30 Jun 2002 20:25:15 +0200

uif (1.0.1-4) unstable; urgency=low

  * uif depends on bsdutils, added to control

 -- Cajus Pollmeier <c.pollmeier@gmx.net>  Mon, 10 Jun 2002 10:34:31 +0200

uif (1.0.1-3) unstable; urgency=low

  * Followed lintians suggestions...
  * Fixed typo in uif.prerm



## uif 1.0.6-1.1

=== debian/changelog ===
uif (1.0.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "uif uses deprecated position of ! to negate rules":
    patch uif.pl to put '!' before the parameters.
    Thanks to Alex Owen for the bug report and the initial patch.
    (Closes: #683312)
  * Fix "New Japanese translation": add ja.po, thanks to victory.
    (Closes: #692838)

 -- gregor herrmann <gregoa@debian.org>  Mon, 14 Jan 2013 20:48:18 +0100

=== debian/control ===
Source: uif
Section: net
Priority: optional
Maintainer: Cajus Pollmeier <cajus@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7), po-debconf

Package: uif
Architecture: all
Depends: ${perl:Depends},${misc:Depends},libnetaddr-ip-perl (>= 3.0),libnet-ldap-perl,iptables,bsdutils (>=2.11u)
Suggests: fwlogwatch
Conflicts: knetfilter, firewall-easy, shorewall, fiaif
Description: Advanced iptables-firewall script
 Complete package to create and simplify iptables packetfilter
 rules using perl. It was developed for a diskless router
 system that can store its configurations in regular files or
 ldap databases.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
package=uif
version=$(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/^Version: //p')
tmp=`pwd`/debian/$(package)

build:
	dh_testdir
	touch build

clean:
	dh_testdir
	dh_testroot
	-rm -f build
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* debian/*.debhelper core debian/uif
	-rm -rf debian/uif.substvars
	debconf-updatepo

install: build
	dh_testdir
	dh_testroot
	dh_prep
	#dh_installdirs usr/sbin etc/init.d etc/default etc/ldap/schema etc/uif usr/share/doc
	dh_installdirs usr/sbin usr/share/doc

	$(MAKE) install DESTDIR=$(tmp)

binary-arch:  build install

binary-indep: build install
#       dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
#       dh_installexamples
#       dh_installmenu
#       dh_installemacsen
#       dh_installpam
#       dh_installinit
#       dh_installcron
	dh_installman
#       dh_installinfo
#       dh_undocumented
	dh_installchangelogs
#       dh_link
#       dh_strip
	dh_compress
	dh_fixperms
# You may want to make some executables suid here.
#       dh_suidregister
#       dh_makeshlibs
	dh_installdeb
	dh_perl
#       dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## uif 1.0.8

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	install -o root -g root -m 700 uif.pl ${PREFIX}/usr/sbin/uif
 	install -o root -g root -m 600 default ${PREFIX}/etc/default/uif
 	install -o root -g root -m 600 services ${PREFIX}/etc/uif
+	if [ ! -e ${PREFIX}/etc/uif/uif.conf ]; then install -o root -g root -m 600 uif.conf ${PREFIX}/etc/uif; fi
 	install -o root -g root -m 755 uif ${PREFIX}/etc/init.d
 	install -o root -g root -m 644 uif.schema ${PREFIX}/etc/ldap/schema

=== debian/changelog ===
uif (1.0.8-2) unstable; urgency=low

  * /debian/control:
    + Drop uif-ldap from Suggests: field. No such package exists in
      Debian.
  * /debian/uif.docs:
    + Install README file into docs.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 06 Aug 2013 21:35:13 +0200

uif (1.0.8-1) unstable; urgency=low

  * New upstream release.
    + Don't fail if Net::LDAP is not installed. (Closes: #273119).
    + Ship default uif.conf file. (Closes: #273117).
  * /debian/control:
    + Add Homepage: field.
    + Move libnet-ldap-perl from Depends: to Recommends: field.
  * /debian/copyright:
    + Use DEP-5 copyright format.
  * /debian/watch:
    + A watch file has been added.
  * /debian/po/de.po:
    + Convert encoding to UTF-8

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 18 Jul 2013 12:34:13 +0200

uif (1.0.6-3) unstable; urgency=low

  * Add closure for WNPP orphanage bug (Closes: #706290). New maintainer of uif
    is Mike Gabriel <sunweaver@debian.org>.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Apr 2013 08:05:06 +0200

uif (1.0.6-2) unstable; urgency=low

  * New maintainer: Mike Gabriel <sunweaver@debian.org>.
  * /debian/control:
    + Add fields: Vcs-Git, Vcs-Browser.
  * /debian/source/format: 3.0 (quilt).
  * Lintian issues fixed:
    + W: uif source: debian-rules-missing-recommended-target build-arch.
    + W. uif source: debian-rules-missing-recommended-target build-indep.
    + W: uif source: stray-translated-debconf-templates templates.de.
  * Bumped Standards: field to: 3.9.4 (after above changes).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Apr 2013 00:43:33 +0200

=== debian/control ===
Source: uif
Section: net
Priority: optional
Maintainer: Mike Gabriel <sunweaver@debian.org>
Standards-Version: 3.9.4
Build-Depends:
 debhelper (>= 7),
 po-debconf,
Vcs-Git: git://git.debian.org/collab-maint/uif.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uif.git;a=summary
Homepage: https://github.com/cajus/uif

Package: uif
Architecture: all
Depends:
 ${perl:Depends},
 ${misc:Depends},
 libnetaddr-ip-perl (>= 3.0),
 iptables,
 bsdutils (>=2.11u),
Recommends:
 libnet-ldap-perl,
Suggests:
 fwlogwatch,
Conflicts:
 knetfilter,
 firewall-easy,
 shorewall,
 fiaif,
Description: Advanced iptables-firewall script
 Complete package to create and simplify iptables packetfilter
 rules using perl. It was developed for a diskless router
 system that can store its configurations in regular files or
 LDAP databases.

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,14 @@
 # This is the debhelper compatability version to use.
 package=uif
 version=$(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/^Version: //p')
-tmp=`pwd`/debian/$(package)
+tmp=`pwd`/debian/tmp
 
-build:
+build: build-arch build-indep
+
+build-arch:
+# Nothing to do here...
+
+build-indep:
 	dh_testdir
 	touch build
 
@@ -22,15 +27,17 @@
 	-rm -rf debian/tmp debian/files* debian/*.debhelper core debian/uif
 	-rm -rf debian/uif.substvars
 	debconf-updatepo
+	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
 	dh_prep
-	#dh_installdirs usr/sbin etc/init.d etc/default etc/ldap/schema etc/uif usr/share/doc
 	dh_installdirs usr/sbin usr/share/doc
 
 	$(MAKE) install DESTDIR=$(tmp)
+
+	dh_install
 
 binary-arch:  build install

## uif 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
-# uif-1.0 Installer Makefile
-# 
+# uif-1.1.x Installer Makefile
+#
 # Cajus Pollmeier <pollmeier@gonicus.de>
-# Jrg Platte     <joerg.platte@gmx.de>
+# Jörg Platte     <joerg.platte@gmx.de>
+# Mike Gabriel    <mike.gabriel@das-netzwerkteam.de>
 
 # Change here to install to different location
 PREFIX = ${DESTDIR}
@@ -25,19 +26,13 @@
 	install -o root -g root -m 600 default ${PREFIX}/etc/default/uif
 	install -o root -g root -m 600 services ${PREFIX}/etc/uif
 	if [ ! -e ${PREFIX}/etc/uif/uif.conf ]; then install -o root -g root -m 600 uif.conf ${PREFIX}/etc/uif; fi
+	if [ ! -e ${PREFIX}/etc/uif/uif-ipv4-networks.inc ]; then install -o root -g root -m 600 uif-ipv4-networks.inc ${PREFIX}/etc/uif; fi
+	if [ ! -e ${PREFIX}/etc/uif/uif-ipv6-networks.inc ]; then install -o root -g root -m 600 uif-ipv6-networks.inc ${PREFIX}/etc/uif; fi
 	install -o root -g root -m 755 uif ${PREFIX}/etc/init.d
 	install -o root -g root -m 644 uif.schema ${PREFIX}/etc/ldap/schema
 
 	@# install documentation
-	install -o root -g root -m 644 docs/uif.conf.tmpl ${PREFIX}/usr/share/doc/uif
-	install -o root -g root -m 644 docs/examples.txt ${PREFIX}/usr/share/doc/uif
+	install -o root -g root -m 644 docs/uif.conf.IPv4.tmpl ${PREFIX}/usr/share/doc/uif
+	install -o root -g root -m 644 docs/examples.IPv4.txt ${PREFIX}/usr/share/doc/uif
 	install -o root -g root -m 644 uif.8 ${PREFIX}/usr/share/man/man8
 	install -o root -g root -m 644 uif.conf.5 ${PREFIX}/usr/share/man/man5
-
-deb:
-	@echo "Generating debian package..."
-	[ -d /tmp/uif-${VERS} ] && rm -rf /tmp/uif-${VERS} || /bin/true
-	cp -a ../uif /tmp/uif-${VERS}
-	cd /tmp/uif-${VERS} && fakeroot make -f debian/rules binary
-	rm -rf /tmp/uif-${VERS}
-

=== debian/changelog ===
uif (1.1.1-1) unstable; urgency=low

  * New upstream release.
    - Provide IPv6 support. (Closes: #679744).
  * debian/control:
    + Bump Standards: to 3.9.5. No changes needed.
    + Alioth-canonicalize Vcs-Git: field.
  * debian/rules:
    + Add get-orig-source rule.
    + Leaving clean-up to dh_clean.
  * debian/*.docs:
    + Install README* files into bin:package.
  * debian/rules:
    + Run dh_link during install.
  * debian/uif.postinst:
    + Adapt debconf based configuration of workstation profile to IPv6
      capabilities. Also enable IPv6 by default if uif is configured
      via debconf.
    + Calls of update-rc.d are now handled by debhelper. Add #DEBHELPER#
      macro after the new uif configuration has been created by debconf.
  * debian/uif.init:
    + Provide an LSB compliant init script for Debian.
  * debian/uif.install:
    + Don't install upstream's init script on Debian system.
  * lintian:
    + Provide override for maintainer-script-should-not-use-service. It is
      a false-positive.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 Jan 2014 16:37:18 +0100

=== debian/rules ===
--- 
+++ 
@@ -51,13 +51,15 @@
 #       dh_installmenu
 #       dh_installemacsen
 #       dh_installpam
-#       dh_installinit
+	dh_installinit
 #       dh_installcron
 	dh_installman
 #       dh_installinfo
+	dh_lintian
 #       dh_undocumented
+	dh_lintian
 	dh_installchangelogs
-#       dh_link
+	dh_link
 #       dh_strip
 	dh_compress
 	dh_fixperms
@@ -73,3 +75,6 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=..

## uif 1.1.3

=== debian/changelog ===
uif (1.1.3-1~bpo70+1) wheezy-backports; urgency=medium

  * Upload to wheezy-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Jun 2014 22:22:59 +0200

uif (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/uif.postinst:
    + Provide a DebConf mediated workstation config that also protects
      from IPv6 attacks.
  * debian/patches:
    + Drop 0001_allow-neightbor-advertisement.patch. Part of new release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Jun 2014 21:37:20 +0200

uif (1.1.2-2) unstable; urgency=low

  * debian/patches:
    + Add 0001_allow-neightbor-advertisement.patch. By default allow ICMPv6
      packet type 136, as well. Also allow inbound ICMPv6 by default.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 May 2014 17:05:31 +0200

uif (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + Work in new copyright co-holders.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 May 2014 16:33:16 +0200

## uif 1.1.4

=== Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 
 	@# install documentation
 	install -o root -g root -m 644 docs/uif.conf.IPv4.tmpl ${PREFIX}/usr/share/doc/uif
+	install -o root -g root -m 644 docs/uif.conf.IPv4+6.tmpl ${PREFIX}/usr/share/doc/uif
 	install -o root -g root -m 644 docs/examples.IPv4.txt ${PREFIX}/usr/share/doc/uif
 	install -o root -g root -m 644 uif.8 ${PREFIX}/usr/share/man/man8
 	install -o root -g root -m 644 uif.conf.5 ${PREFIX}/usr/share/man/man5

=== debian/changelog ===
uif (1.1.4-2) unstable; urgency=medium

  * debian/po:
    + Add nl.po. Thanks to Frans Spiesschaert! (Closes: #767285).
  * debian/patches:
    + Add 0001_Debian-name-spelling.patch. Fix spelling of the expression
      "Debian package" (written with a capital "D", after browsing various
      project web pages) and another typo in an error message. (Closes:
      #772496).
    + Add 0002_correctly-ignore-ipv4+6-only-rules.patch. Fix severe flaw in
      IPv4-only/IPv6-only rule setup. Don't open IPv4 holes when setting up
      IPv6-only rules and vice versa. (Closes: #779150).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Mar 2015 12:19:46 +0100

uif (1.1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Don't call dh_lintian twice.
  * lintian:
    + Drop now unused override: maintainer-script-should-not-use-service.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 01 Jul 2014 10:37:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Mike Gabriel <sunweaver@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends:
  debhelper (>= 7),
  po-debconf,
-Vcs-Git: git://git.debian.org/collab-maint/uif.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/uif.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uif.git;a=summary
 Homepage: https://github.com/cajus/uif

## uif 1.1.8

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,8 @@
 	if [ ! -e ${PREFIX}/etc/uif/uif.conf ]; then install -o root -g root -m 600 uif.conf ${PREFIX}/etc/uif; fi
 	if [ ! -e ${PREFIX}/etc/uif/uif-ipv4-networks.inc ]; then install -o root -g root -m 600 uif-ipv4-networks.inc ${PREFIX}/etc/uif; fi
 	if [ ! -e ${PREFIX}/etc/uif/uif-ipv6-networks.inc ]; then install -o root -g root -m 600 uif-ipv6-networks.inc ${PREFIX}/etc/uif; fi
-	install -o root -g root -m 755 uif ${PREFIX}/etc/init.d
+	install -o root -g root -m 755 uif.initscript ${PREFIX}/etc/init.d
+	mv ${PREFIX}/etc/init.d/uif.initscript ${PREFIX}/etc/init.d/uif
 	install -o root -g root -m 644 uif.schema ${PREFIX}/etc/ldap/schema
 
 	@# install documentation

=== debian/changelog ===
uif (1.1.8-2) unstable; urgency=medium

  * debian/control:
    + Fix package name in D (libdata-validate-ip -> libdata-validate-ip-perl).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Jan 2017 00:15:03 +0100

uif (1.1.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add D (uif): libdata-validate-ip, libsocket-perl.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Jan 2017 00:03:57 +0100

uif (1.1.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_Debian-name-spelling.patch,
      0002_correctly-ignore-ipv4+6-only-rules.patch.
      Included in this upstream release.
  * debian/control:
    + Bump Standards-Version: to 3.9.8. No changes needed.
    + Use https:// URLs in Vcs-*: fields.
    + Add D (uif): lsb-base.
  * debian/{control,compat}:
    + Bump to DH version level 9.
  * uif.docs:
    + Upstream docs converted to .md files.
  * debian/po:
    + Add pt_BR translation. (Closes: #827495). Many thanks to Adriano Rafael
      Gomes.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 15 Jan 2017 16:21:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Mike Gabriel <sunweaver@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Build-Depends:
- debhelper (>= 7),
+ debhelper (>= 9),
  po-debconf,
-Vcs-Git: git://anonscm.debian.org/collab-maint/uif.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uif.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/uif.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/uif.git
 Homepage: https://github.com/cajus/uif
 
 Package: uif
@@ -15,9 +15,12 @@
 Depends:
  ${perl:Depends},
  ${misc:Depends},
+ libdata-validate-ip-perl,
  libnetaddr-ip-perl (>= 3.0),
+ libsocket-perl,
  iptables,
  bsdutils (>=2.11u),
+ lsb-base,
 Recommends:
  libnet-ldap-perl,
 Suggests:

## uif 1.1.9

=== Makefile ===
# uif-1.1.x Installer Makefile
#
# Cajus Pollmeier <pollmeier@gonicus.de>
# Jörg Platte     <joerg.platte@gmx.de>
# Mike Gabriel    <mike.gabriel@das-netzwerkteam.de>

# Change here to install to different location
DESTDIR ?=
PREFIX  ?= /usr/local

VERSION = `cat VERSION | head -1`

all:

install:
	@echo "Installing uif script..."

	@# create directories
	install -o root -g root -m 700 -d $(DESTDIR)/etc/uif
	install -o root -g root -m 755 -d $(DESTDIR)/etc/default
	install -o root -g root -m 755 -d $(DESTDIR)/etc/init.d
	install -o root -g root -m 755 -d $(DESTDIR)/etc/ldap/schema
	install -o root -g root -m 755 -d $(DESTDIR)$(PREFIX)/sbin
	install -o root -g root -m 755 -d $(DESTDIR)$(PREFIX)/share/doc/uif
	install -o root -g root -m 755 -d $(DESTDIR)$(PREFIX)/share/man/man8
	install -o root -g root -m 755 -d $(DESTDIR)$(PREFIX)/share/man/man5
	
	@# install files
	install -o root -g root -m 700 uif.pl $(DESTDIR)$(PREFIX)/sbin/uif
	install -o root -g root -m 600 default $(DESTDIR)/etc/default/uif
	install -o root -g root -m 600 services $(DESTDIR)/etc/uif
	if [ ! -e $(DESTDIR)/etc/uif/uif.conf ]; then install -o root -g root -m 600 uif.conf $(DESTDIR)/etc/uif; fi
	if [ ! -e $(DESTDIR)/etc/uif/uif-ipv4-networks.inc ]; then install -o root -g root -m 600 uif-ipv4-networks.inc $(DESTDIR)/etc/uif; fi
	if [ ! -e $(DESTDIR)/etc/uif/uif-ipv6-networks.inc ]; then install -o root -g root -m 600 uif-ipv6-networks.inc $(DESTDIR)/etc/uif; fi
	install -o root -g root -m 755 uif.initscript $(DESTDIR)/etc/init.d
	mv $(DESTDIR)/etc/init.d/uif.initscript $(DESTDIR)/etc/init.d/uif
	install -o root -g root -m 644 uif.schema $(DESTDIR)/etc/ldap/schema

	@# install documentation
	install -o root -g root -m 644 docs/uif.conf.IPv4.tmpl $(DESTDIR)$(PREFIX)/share/doc/uif
	install -o root -g root -m 644 docs/uif.conf.IPv4+6.tmpl $(DESTDIR)$(PREFIX)/share/doc/uif
	install -o root -g root -m 644 docs/examples.IPv4.txt $(DESTDIR)$(PREFIX)/share/doc/uif
	install -o root -g root -m 644 uif.8 $(DESTDIR)$(PREFIX)/share/man/man8
	install -o root -g root -m 644 uif.conf.5 $(DESTDIR)$(PREFIX)/share/man/man5

=== debian/changelog ===
uif (1.1.9-5) unstable; urgency=medium

  * debian/patches:
    + Add 1003_correctly-quote-when-opening-pipe.patch. Use double quotes in
      open statement to properly evaluate variables. (Closes: #990692).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 Jul 2021 22:59:36 +0200

uif (1.1.9-4) unstable; urgency=medium

  * debian/watch: Fix Github watch URL.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Apr 2021 22:27:57 +0200

uif (1.1.9-3) unstable; urgency=medium

  * debian/control:
    + Add D (uif): mailutils (or mailx). The uif.service won't start without
      errors on uif execution problems. (Closes: #985925).
  * debian/uif.init:
    + Fix firewall script startup if iptables in located in /usr/sbin/.
      (Closes: #985927).
  * debian/patches:
    + Add 1002_use-iptables-from-usr-sbin.patch. Use Perl's which() function
      for detecting the correct location of ip(6)tables commands (relates to
      #985927).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 26 Mar 2021 21:09:26 +0100

uif (1.1.9-2) unstable; urgency=medium

  * debian/patches:
    + Add 1001_use-iptables-legacy.patch. Work-around iptables->nftables switch
      in Debian. Full nftables support is being worked on on the upstream side.
      (Closes: #932265).
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 04 Dec 2019 16:53:09 +0100

uif (1.1.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to
      salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
    + Add to B-D: cdbs.
  * debian/copyright:
    + Use secure URI for copyright format reference.
  * debian/{control,compat}:
    + Bump DH compat level to version 10 (for now, until CDBS supports level
      11).
  * debian/rules:
    + Switch from dh_make generated template to CDBS.
  * debian/uif.init:
    + Update from upstream. Trivial change.
  * debian/*: White-space cleanup.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 19 Aug 2018 02:15:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Mike Gabriel <sunweaver@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.4.1
 Build-Depends:
- debhelper (>= 9),
+ cdbs,
+ debhelper (>= 10),
  po-debconf,
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/uif.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/uif.git
+Vcs-Git: https://salsa.debian.org/debian/uif.git
+Vcs-Browser: https://salsa.debian.org/debian/uif/
 Homepage: https://github.com/cajus/uif
 
 Package: uif
@@ -21,6 +22,7 @@
  iptables,
  bsdutils (>=2.11u),
  lsb-base,
+ mailutils | mailx,
 Recommends:
  libnet-ldap-perl,
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAKE_INSTALL_TARGET=install PREFIX=/usr DESTDIR=$(DEB_DESTDIR)/../tmp

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/uif-$1.tar.gz/ \
https://github.com/cajus/uif/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz

## uif 1.99.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,22 @@
 # uif-1.1.x Installer Makefile
+
+#  Copyright (C) 2002-2015, Cajus Pollmeier <pollmeier@gonicus.de>
+#  Copyright (C) 2002-2015, Jörg Platte <jplatte@gmx.net>
+#  Copyright (C) 2013-2022, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
 #
-# Cajus Pollmeier <pollmeier@gonicus.de>
-# Jörg Platte     <joerg.platte@gmx.de>
-# Mike Gabriel    <mike.gabriel@das-netzwerkteam.de>
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 
 # Change here to install to different location
 DESTDIR ?=
@@ -17,6 +31,9 @@
 
 	@# create directories
 	install -o root -g root -m 700 -d $(DESTDIR)/etc/uif
+	install -o root -g root -m 700 -d $(DESTDIR)/etc/uif/uif.conf.d
+	install -o root -g root -m 700 -d $(DESTDIR)/etc/uif/uif-ipv4-networks.inc.d
+	install -o root -g root -m 700 -d $(DESTDIR)/etc/uif/uif-ipv6-networks.inc.d
 	install -o root -g root -m 755 -d $(DESTDIR)/etc/default
 	install -o root -g root -m 755 -d $(DESTDIR)/etc/init.d
 	install -o root -g root -m 755 -d $(DESTDIR)/etc/ldap/schema

=== debian/changelog ===
uif (1.99.0-8) unstable; urgency=medium

  [ Daniel Teichmann ]
  * Add systemd service file support. (Closes: #1039403)
    + Add debian/uif.service: Provide native systemd support for UIF.
    + Update debian/uif.prerm: Use systemctl when systemd is available.
    + This also silences lintian warning about missing systemd service file.

  [ Mike Gabriel ]
  * debian/copyright:
    + Update FSF mailing address.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 11 Nov 2025 16:05:09 +0100

uif (1.99.0-7) unstable; urgency=medium

  * debian/patches:
    + Add 0004-IPv6-can-do-PREROUTING-and-POSTROUTING.patch.
    + Add 0005-Support-DIRECT-connect-exceptions-for-nat-rules-via-.patch.
      Support NAT exceptions that connect directly, not NAT'ed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Apr 2025 12:55:17 +0200

uif (1.99.0-6) unstable; urgency=medium

  * debian/uif.init:
    + Support drop-in config snippets overriding /etc/default/uif via
      /etc/default/uif.d/*.
  * debian/control:
    + Drop from D: lsb-base.
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions for debian/.
  * debian/po/:
    + Add Romanian debconf translation. Thanks to Remus-Gabriel Chelu. (Closes:
      #1058898).
    + Update Swedish translation file. Thanks to Martin Bagge and Andres
      Jonsson. (Closes: #1067493).
    + Update Spanish translation file. Thanks to Jonathan Bustillos. (Closes:
      #1093716).
  * lintian: Override maintainer-script-calls-service occurrences for
    .postinst script. False positives.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 05 Mar 2025 10:29:37 +0100

uif (1.99.0-5) unstable; urgency=medium

  * debian/patches:
    + Add 0003_uif.pl-Support-VLAN-interfaces-allow-.-in-network-in.patch.
      Support VLAN interfaces in config's interfaces{} section. (Closes:
      #1053962).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 15 Oct 2023 02:01:28 +0200

uif (1.99.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debconf template translation
    - Czech translation (not 100% complete, yet).
      Thanks to Tomáš Vlček.
    - Dutch translation.
      Thanks to Frans Spiesschaert (Closes: #1010774)
    - French translation.
      Thanks bubu (Closes: #1010918)
    - Brazilian Portuguese translation.
      Thanks Adriano Rafael Gomes (Closes: #1011023)
    - Russian translation.
      Thanks Shilin Aleksej (Closes: #1011641)
    - German translation.
      Thanks Helge Kreutzmann (Closes: #1015153)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 21 Jan 2023 11:11:04 +0100

uif (1.99.0-4) unstable; urgency=medium

  * debian/templates:
    + Update after l10n-english review. Thanks to Justin B Rye for the
      excellent review.
  * debian/po:
    + Update translation files and template after debian/template update.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 May 2022 19:29:08 +0200

uif (1.99.0-3) unstable; urgency=medium

  * debian/po/:
    + Update debconf po-templates.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 May 2022 12:57:58 +0200

uif (1.99.0-2) unstable; urgency=medium

  * debian/uif.postinst:
    + Update uif.conf template for debconf-based workstation setup.
  * debconf:
    + Add IPv6 trusted hosts support for workstation setup.
    + Add new uif/conf_mode: 'debian-edu-router'.
    + Improve WARNINGs in comment headers of debconf-generated uif config files.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 May 2022 11:28:33 +0200

uif (1.99.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all patches. All applied upstream.
    + Cherry-pick 0001_uif.8-Drop-another-now-unused-.Ar-macro.patch
      from upstream.
    + Add 2001_stay-with-iptables-for-now.patch. On Debian, stay with
      iptables-legacy as default FILTER_COMMAND for some more time (to
      consolidate the new 'nft' support).
    + Cherry-pick
      0002_uif.conf.5-Fix-what-is-section-of-the-uif.conf.5-man.patch from
      upstream.
  * debian/:
    + Switch from cdbs to vanilla debhelper, bump to DH compat level version
      13.
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'binary-targets'.
    + Add P-D: init-system-helpers (>= 1.54~). Thanks, lintian.
  * debian/watch:
    + Switch to format version 4.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/po/ca.po:
    + Convert from ISO-8859-1 to UTF-8. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 19 Apr 2022 13:45:36 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PREFIX=/usr

%:
	dh $@

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/uif-$1.tar.gz/ \
https://github.com/cajus/uif/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz
